commit:     fb08c21e368e81f6ac8ed03f53c4c5208424dcca
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jun  5 03:10:30 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jun  5 03:42:23 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb08c21e

dev-python/google-auth: Bump to 2.40.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/google-auth/Manifest                  |  1 +
 dev-python/google-auth/google-auth-2.40.3.ebuild | 73 ++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index 0390aa32b97b..ab4b2effa14a 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -2,3 +2,4 @@ DIST google_auth-2.39.0.tar.gz 274834 BLAKE2B 
f924291ba51799c4560849f61c30419110
 DIST google_auth-2.40.0.tar.gz 280934 BLAKE2B 
a70b27a417e08e7d0edbc0ec09049aca6035582c9dc0bcc9b0d29acbc17f137beb2a9c145e783b356720b3327fd426025bef236a63dab83e98399a9bfd0dda36
 SHA512 
0e4587bde4076fcf8f905f1f8de6aa3b145424be2b8a36108f4f1fad12f024ea47e1b0bc5c877fa119b6a0dd7fa7fcb6a48e6cfbe4dacf72d04c23938cd66dbb
 DIST google_auth-2.40.1.tar.gz 280975 BLAKE2B 
755d05067caeb3317489d040bc17cb92a6a96f9f2433d43eb02dedd7dc3caadf9012ed497a5956ec82174ccec8b704d123275c22211906d7edbb915442313874
 SHA512 
3a3a5b970d020ba8e220794ef276ef55249026161f18dce513eaaa2e63f2a0d628a477c11ea2b35e7686b924ccc12eb5ff6c97a6e8df5279f8d3a195f85d4181
 DIST google_auth-2.40.2.tar.gz 280990 BLAKE2B 
969cadb07091f221d1e9e82e783068913f7d6cbc7a4087b29e368bf0f6c89da45d880fc0aa9aa62f3efd467a70c17bd7c864d2dc7a9de64938f4086dd1a0ad00
 SHA512 
d79213f2c8fc3603437be5d40a1b887d85c13aa401dd918581cf17d5ac8a8211cf08633ec3a4fead705ad38d72a4a1eb919f073b10983be4a652a0db2bc14b43
+DIST google_auth-2.40.3.tar.gz 281029 BLAKE2B 
eb95721c42ee37c0498c9c57fe3aceea006bc0b401a84c8f33a0000e8f49975537124827092da9ad40a66650dbe6e276b570d77eb45bcc86c23085a231572e1b
 SHA512 
35062091ab3515f381c5da5d7952e1c60c650f62041b32217905462b0393199666126cbc018e96ea694eadaf9fec2528e9c7531758cfeda8a244fa10f8d362fb

diff --git a/dev-python/google-auth/google-auth-2.40.3.ebuild 
b/dev-python/google-auth/google-auth-2.40.3.ebuild
new file mode 100644
index 000000000000..567359283893
--- /dev/null
+++ b/dev-python/google-auth/google-auth-2.40.3.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+       https://github.com/googleapis/google-auth-library-python/
+       https://pypi.org/project/google-auth/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+       dev-python/cachetools[${PYTHON_USEDEP}]
+       >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+       >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+       >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/aioresponses[${PYTHON_USEDEP}]
+               >=dev-python/cryptography-38.0.3[${PYTHON_USEDEP}]
+               dev-python/flask[${PYTHON_USEDEP}]
+               dev-python/freezegun[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/moto[${PYTHON_USEDEP}]
+               >=dev-python/pyjwt-2.0[${PYTHON_USEDEP}]
+               dev-python/pyopenssl[${PYTHON_USEDEP}]
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+               dev-python/pytest-localserver[${PYTHON_USEDEP}]
+               dev-python/pyu2f[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/responses[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # unpin deps
+       sed -i -e 's:,<[0-9.]*::' setup.py || die
+}
+
+python_compile() {
+       distutils-r1_python_compile
+       find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # tests are broken with up-to-date pyopenssl
+               
tests/transport/test__mtls_helper.py::TestDecryptPrivateKey::test_success
+       )
+       local EPYTEST_IGNORE=(
+               # these are compatibility tests with oauth2client
+               # disable them to unblock removal of that package
+               tests/test__oauth2client.py
+       )
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       distutils_write_namespace google
+       epytest -p asyncio
+}

Reply via email to